<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>Read Me</title>
</head>
<body>
<h1>MARC Upload</h1>

<p style="color:red;">Updated January 29th, 2003. kdye</p>

<h2>Purpose</h2>
<p>marcupload is web interface to a script which parses MARC files and separates them by UC campus.</p>

<h2>History</h2>
<p>marcupload was originally a command line script. A staff member would receive a MARC file in email, then manually run the script on the MARC file, and finally upload the resulting output MARC files to a publicly accessible location.</p>
<p>marcupload is a fairly simple extension of that script, providing a JavaBean interface to an essentially unchanged script. The calling JSP (uploadmarc.jsp) has parameters for where files should be uploaded to, and where they should be placed after processing.</p>

<h2>Related</h2>
<p>marcupload can work in conjunction with shared_cataloging, which just provides a pretty html interface to the output MARC files. shared_cataloging is not necessary to make the MARC files available, however.</p>
<p>marcupload depends on <a href="http://marc4j.tigris.org/">marc4j</a> for MARC file processing. marc4j is not included with marcupload and should be installed separately.</p>

</body>
</html>
